MediaWiki:Mobile.css:修订间差异

imported>=海豚=
恢复=海豚=讨论)的编辑至Hice的最后版本
top:​bad link repair, replaced: hmoegirl.com → hmoegirl.info
 
(未显示3个用户的100个中间版本)
第1行: 第1行:
/* 这里放置的CSS将影响使用移动版网站的用户 */
/* 放置于这里的CSS将影响使用移动版网站的用户 */
 
/* 标题样式调整*/
/* 维护者请注意,Mediawiki 1.31版本有个已知bug,当 MediaWiki:Mobile.js 无内容时, MediaWiki:Mobile.css 不加载。该问题在master版本已修复。具体参见 https://phabricator.wikimedia.org/T191596 。后续更新确定bug修复后请删除本行,谢谢。----2019年6月19日留。 */
html>body.skin-minerva .content .mw-parser-output>h2::before,
 
html>body.skin-minerva .content .section-heading::before {
/* 黑幕 */
     content: "#";
.heimu, .heimu a, a .heimu, .heimu a.new {
    display: block;
     background-color: #252525;
    user-select: none;
     color: #252525;
    color: #ffa92f;
     text-shadow: none;
     background-color: #ffa92f;
    position: absolute;
    top: .6em;
    width: 6px;
     overflow: hidden;
}
}
.heimu:hover, .heimu:active,
html>body.skin-minerva .content .mw-parser-output > h2 .indicator, .content .section-heading .indicator {
.heimu:hover .heimu, .heimu:active .heimu {
     margin-left: 1em;
     color: white !important;
}
}
.heimu:hover a, a:hover .heimu,
/* 链接样式 */
.heimu:active a, a:active .heimu {
a:hover {
     color: lightblue !important;
     text-decoration: none;
}
}
.heimu:hover .new, .heimu .new:hover, .new:hover .heimu,
a, a:visited {
.heimu:active .new, .heimu .new:active, .new:active .heimu {
    text-decoration: none;
     color: #BA0000 !important;
    color: #3366cc;
}
/* 目录样式 */
.client-js .toc-mobile {
    background-color: #F5F5F5 !important;
    border: solid 0px transparent !important;
    border-left: 4px solid #ffa92f !important;
}
/* 社群推荐背景样式 */
#mp-banner {
    background-image: url(https://www.hmoegirl.info/images/0/09/80468767.jpg);
}
/* 页顶提示模板相关 */
#commonBoxInfo {
    color: #f00;
    font-weight: bold;
    text-align: center;
}
#commonBoxList > .commonBoxButton {
    display: inline-block;
    border-bottom: 3px solid #000;
    width: 40px;
    height: 40px;
    background: #fff 50% 50% no-repeat;
    background-size: contain;
    cursor: pointer;
    transition: opacity .5s;
}
#commonBoxList.open > .commonBoxButton {
    opacity: .1;
}
#commonBoxList.open > .commonBoxButton.current {
    opacity: 1;
}
.common-box {
    padding: .2em .4em;
    border: 0.7px solid #ddd;
    -moz-border-radius: 10px;
    -webkit-border-radius: 10px;
    -khtml-border-radius: 10px;
    -o-border-radius: 10px;
    border-radius: 10px;
    background: rgba(250,250,250,0.65)!important;
}
/* 修复子页面列表和common-box宽度不足 */
.mw-prefixindex-list-table,
.common-box {
    width: 100% !important;
}
/* info类模板 */
.infobox {
  float: middle;
  clear: middle;
  margin:0 auto;
  background: rgba(251,251,251,0.7);
}
.infotemplatebox {
  padding: 0.2em;
  float: middle;
  clear: middle;
  background: rgba(251,251,251);
}
/* 编辑区样式 */
.mw-editTools {
    display: none!important;
}
#wpSummaryLabel > div > span > label{
    display:none;
}
.CodeMirror-gutter-elt{
    display: none;
}
.CodeMirror-gutters {
    display: none;
}
.content .collapsible-heading .edit-page {
    visibility: inherit!important;
}
/* 表格优化 */
table.wraptable {
    white-space: normal;
}/*
.content table {
    display: table;
}*/
/* 修复单元格莫名空行 */
td {
    vertical-align: middle;
}
/* 修复子页面列表和common-box宽度不足 */
.mw-prefixindex-list-table,
.common-box {
    width: 100% !important;
}
/* 侧边栏和替换logo图片隐藏 */
#sidebar-character,
#wglogo {
    display: none;
}
/* 导航条 */
#breadcrumb {
    color: black;
    border: solid 1px rgb(204, 204, 204);
    width: 100%;
    overflow: hidden;
    margin: 0;
    padding: 0 0 .5em 0;
}
#breadcrumb span {
    list-style-type: none;
    float: left;
    padding-left: 10px;
}
#breadcrumb span:after {
    content: "·"
}
#breadcrumb span:last-child:after {
    content: "";
}
#breadcrumb a {
    text-align: center;
    vertical-align: middle;
    display: inline-block;
    padding-right: 15px;
    text-decoration: none;
    color: #454545 !important;
}
.home {
    border: none;
    margin: 8px 0;
}
/* 注释文字 */
sup.mobileref {
    display: none;
}
sup.mobileref:after {
    content: " ("attr(title) ")";
    display: inline;
}
/* code 内边距修复 */
code {
    padding: 3px
}
/* wikitable border */
#content.content table.wikitable {
    border: none;
}
/* wikitable green */
table.wikitable-green {
    background: #c9f6e1
}
.wikitable-green th {
    background: #13ec93
}
.wikitable-green td {
    background: #f3f3f3
}
/* wikitable border */
#content.content table.wikitable {
    border: none;
}
/* 大家族模板 */
.navbox th,
.navbox-group {
    background: #a5e4a5;
}
body .content .navbox {
    display: table !important;
}
.navbox .content table {
    width: 100% !important;
}
.navbox {
    border: 1px solid #aaa;
    clear: both;
    padding: 1px;
    text-align: center;
    width: 100%;
    background: #fdfdfd;
    font-size: 97% !important;
}
.navbox-subgroup {
    background: #fdfdfd;
}
.navbox-title {
    border-radius:0 !important;
}
.navbox-group {
    white-space: nowrap;
}
.navbox table {
    width: 100% !important;
    margin: 0 !important;
}
.navbox-subgroup .navbox-group,
.navbox-abovebelow {
    background: #e6f6e6;
}
/* Fix by case : Rev 1327309 ([[Special:Permalink/1327309]])
    Address alignment issue of nested tabs in Navbox */
.navbox .TabLabel {
    text-align: left;
}
@media screen and (max-width: 640px) {
    .navbox-group,
    .navbox-list,
    .navbox-title {
        display: block;
        width: 100% !important;
        box-sizing: border-box;
     }
    .navbox-group+* {
        border-left: 0 !important;
        border-top: 2px solid #fdfdfd;
    }
    .navbox td[rowspan] {
        display: none;
    }
}
/* 修复用户页欢迎辞覆盖编辑框的bug */
.overlay.visible {
    z-index: 3;
}
body .oo-ui-windowManager-modal > .oo-ui-dialog {
    z-index: 3;
}
/* Fix by case: Tracklist doesn't display on mobile devices due to inappropriate margin configuration  */
.tracklist {
    margin: 0 !important;
}
/* 扩展mediawiki.legacy.commonPrint,shared定义的样式 */
/* success and error messages */
.error,
.warning,
.success {
    font-size: larger;
}
.error {
    color: #d33;
}
.warning {
    color: #705000;
}
.success {
    color: #009000;
}
.errorbox,
.warningbox,
.successbox {
    border: 1px solid;
    padding: 0.5em 1em;
    margin-bottom: 1em;
    display: inline-block;
    zoom: 1;
}
.errorbox h2,
.warningbox h2,
.successbox h2 {
    font-size: 1em;
    color: inherit;
    font-weight: bold;
    display: inline;
    margin: 0 0.5em 0 0;
    border: 0;
}
.errorbox {
    color: #d33;
    border-color: #fac5c5;
    background-color: #fae3e3;
}
.warningbox {
    color: #705000;
    border-color: #fde29b;
    background-color: #fdf1d1;
}
.successbox {
    color: #008000;
    border-color: #b7fdb5;
    background-color: #e1fddf;
}
/* 折叠/展开(或自定义内容)的文字颜色,和桌面版一致,用于提示点击可触发事件。 */
a.mw-collapsible-text {
    color: #3366cc;
}
}